Hitachi Vantara Pentaho Community Forums
Results 1 to 3 of 3

Thread: Pentaho 6.0 backward compatibility with Java 7

  1. #1
    Join Date
    Jun 2014
    Posts
    4

    Question Pentaho 6.0 backward compatibility with Java 7

    Hi, I have downloaded Pentaho Kettle 6.0 and it seems to work fine with Java 7. My client application server is currently using Java 7 72, but they will upgrade at some point in the future. It makes most sense to use Pentaho 6.0, since once they upgrade Java it should still work. So I just wanted to make sure that 6.0 is fully compatible with Java 7 and that it will not generate some errors. Any help, highly appreciated. Thanks.

  2. #2
    Join Date
    Apr 2008
    Posts
    1,771

    Default

    PDI 6 generally works with Java 7 and Java 8.
    There are some bugs in both cases, but some may affect your job some not.
    To check you can browse JIRA: http://jira.pentaho.com
    -- Mick --

  3. #3
    Join Date
    Jun 2014
    Posts
    4

    Default

    Thanks, this is very helpful.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Privacy Policy | Legal Notices | Safe Harbor Privacy Policy

Copyright © 2005 - 2019 Hitachi Vantara Corporation. All Rights Reserved.